#
# This class helps make sure that Python extensions built with PyO3
# and setuptools_rust properly set up the environment for cross compilation
#

require_script "cargo_utils.sh"
require_script "python3_utils.sh"

export PYO3_CROSS="1"
export PYO3_CROSS_PYTHON_VERSION="${PYTHON_VERSION}"
export PYO3_CROSS_LIB_DIR="${SYSROOT_LOC}/usr/lib"
export CARGO_BUILD_TARGET="${HOST_SYS}"
export RUSTFLAGS
export PYO3_PYTHON="python3"
export PYO3_CONFIG_FILE="${WORKDIR}/pyo3.config"

python_pyo3_do_configure () {
    cat > ${WORKDIR}/pyo3.config << EOF
implementation=CPython
version=${PYTHON_VERSION}
shared=true
abi3=false
lib_name=${PYTHON_DIR}
lib_dir=${SYSROOT_LOC}/usr/lib
pointer_width=64
build_flags=WITH_THREAD
suppress_build_script_link_lines=false
EOF
}
